#ifndef __RPI4_SERIAL__
#define __RPI4_SERIAL__

#ifdef __cplusplus

#include <cstddef>
#include <cstdint>
#include <ctime>

extern "C" {

#else // __cplusplus

#include <stddef.h>
#include <stdint.h>
#include <time.h>

#endif // __cplusplus

int rpi4_get_serial(char **);
int rpi4_set_serial(const char *);
void rpi4_free_serial(void *);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // __RPI4_SERIAL__
